--- old/README	Wed Oct  5 00:33:05 2016
+++ new/README	Wed Oct  5 00:33:05 2016
@@ -1,3 +1,91 @@
+Last illumos-joyent commit:  d21e83058c8edeb1becd9202380d088cb056f0c4
+
+This is an attempt to port over LX zones into OmniOS.  It's going to be a long,
+painful slog, and I don't mean the ZFS kind, either.  :)
+
+An IPS repo that matches public updates of the r151019 bloody repo can be
+found at http:/pkg.omniti.com/omnios/LX/.  ipkg and lipkg zones can boot,
+appear to be fully functional, but need more testing.  LX zones can be
+installed using ZFS send streams (gzipped or uncompressed) from Joyent's
+images, or from tarballs often used for Docker image setup.  The
+"kernel-version" attribute must be set by the administrator to match the
+installed image.  For example:
+
+	# zonecfg -z lx0 export
+	create -b
+	set zonepath=/zones/lx0
+	set brand=lx
+	set autoboot=false
+	set ip-type=exclusive
+	add net
+	set physical=lx0
+	end
+	add attr
+	set name=kernel-version
+	set type=string
+	set value=2.6.32
+	end
+	#
+
+This matches a CentOS 6.8 image from Joyent.  To install the image:
+
+     zoneadm -z lx0 install -s /root/path/to/centos68.gz
+
+A tarball install uses the -t flag instead:
+
+     zoneadm -z lx0 install -s /root/path/to/docker-ubuntu.tgz
+
+Effective September 1st, one can use SmartOS-style IP address and DNS
+configuration using zonecfg parameters.  Here's the above zone with a pre-
+configured set of networking parameters:
+
+	# zonecfg -z lx0 export
+	create -b
+	set zonepath=/zones/lx0
+	set brand=lx
+	set autoboot=false
+	set ip-type=exclusive
+	add net
+	set physical=lx0
+	add property (name=gateway,value="192.168.0.1")
+	add property (name=ips,value="192.168.0.69/24")
+	add property (name=primary,value="true")
+	end
+	add attr
+	set name=dns-domain
+	set type=string
+	set value=example.com
+	end
+	add attr
+	set name=resolvers
+	set type=string
+	set value=192.168.0.1
+	end
+	add attr
+	set name=kernel-version
+	set type=string
+	set value=2.6.32
+	end
+	#
+
+You'd obtain the .gz file from Joyent's image servers.
+
+LX zones boot, and if not configured with zonecfg(1M), one needs to use
+/native tools and/or scripts to configure networking on them.  (NOTE:  This
+follows the OmniOS adminstrative model for zones.)  LX zones need even more
+testing than ipkg/lipkg zones, but appear to at least boot and allow both
+"zlogin -C" console logins and "zlogin" direct logins.  Some distros do not
+present a console login on the first boot, and the zone may need to be
+rebooted
+
+I reserve the right to burn this repo to the ground and start fresh.
+
+This repo also has the "joyent" branch, which is a downstream of illumos-joyent.
+
+Thanks -- Dan
+
+===========
+
 illumos gate README - Sep 16, 2012.
 
 This is the illumos gate.  This is the illumos source tree.  It contains
--- old/exception_lists/check_rtime	Wed Oct  5 00:33:05 2016
+++ new/exception_lists/check_rtime	Wed Oct  5 00:33:05 2016
@@ -139,8 +139,8 @@
 UNUSED_RPATH	/usr/sfw/lib.*\ from\ .*libpq\.so\.5
 UNUSED_RPATH	/usr/lib.*\ from\ .*/usr/lib/mps
 UNUSED_RPATH	/usr/ccs/lib.*\ from\ .*/usr/lib/mps
-UNUSED_RPATH	/usr/gnu/lib.*\ from\ .*/usr/lib/libpython2\..
-UNUSED_RPATH	/usr/gnu/lib.*\ from\ .*/usr/lib/64/libpython2\..
+UNUSED_RPATH	/usr/gnu/lib.*\ from\ .*/usr/lib/libpython2\.6
+UNUSED_RPATH	/usr/gnu/lib.*\ from\ .*/usr/lib/64/libpython2\.6
 UNUSED_RPATH	/usr/snadm/lib.*\ from\ .*/usr/snadm/lib/libspmicommon\.so\.1
 
 
@@ -233,4 +233,10 @@
 # unneeded library.
 UNREF_OBJ	lib/(libdevinfo|libcfgadm)\.so\.1; .*\ of\ .*SUNW,Netra-CP2300/lib/libprtdiag_psr\.so\.1
 
+# The lx brand's VDSO object is a bit special. Its construction leads us
+# to end up having several symbols for shared objects all at the same
+# address of zero. We should root cause this further and either add an
+# explicit exception for this kind of thing or better, fix the issues
+# it's upset about.
+SKIP	^usr/lib/brand/MACH(lx)/lx_vdso\.so\.1$
 
--- old/exception_lists/interface_check	Wed Oct  5 00:33:05 2016
+++ new/exception_lists/interface_check	Wed Oct  5 00:33:05 2016
@@ -56,7 +56,7 @@
 PLUGIN		^usr/lib/mdb
 PLUGIN		^usr/lib/pci
 PLUGIN		^usr/lib/picl/plugins
-PLUGIN		^usr/lib/python2.[467]
+PLUGIN		^usr/lib/python2.[46]
 PLUGIN		^usr/lib/rcm/modules
 PLUGIN		^usr/lib/scsi/plugins
 PLUGIN		^usr/lib/sysevent/modules
@@ -94,6 +94,7 @@
 NOVERDEF	^usr/lib/picl/plugins$
 NOVERDEF	^usr/sadm/admin/dhcpmgr/dhcpmgr\.so\.1$
 NOVERDEF	^usr/sadm/admin/printmgr/lib/libpmgr\.so\.1$
+NOVERDEF	^usr/MACH(lib)/lx_brand\.so\.1$
 
 
 # Objects that are allowed to deviate from our standard version
@@ -100,6 +101,8 @@
 # names.
 NONSTD_VERNAME	^MACH(lib)/libsqlite-sys\.so\.
 NONSTD_VERNAME	^usr/MACH(lib)/libtecla\.so\.1$
+NONSTD_VERNAME	^usr/lib/brand/lx/lx_vdso\.so\.1$
+NONSTD_VERNAME	^usr/lib/brand/lx/amd64/lx_vdso\.so\.1$
 
 # These libc variants have an SONAME of libc\.so\.1$
 NONSTD_VERNAME	^usr/MACH(lib)/libc/libc_hwcap[1-3]+\.so\.1$
--- old/exception_lists/packaging	Wed Oct  5 00:33:05 2016
+++ new/exception_lists/packaging	Wed Oct  5 00:33:05 2016
@@ -24,7 +24,6 @@
 # Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 # Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
-# Copyright 2016 Toomas Soome <tsoome@me.com>
 #
 
 #
@@ -40,6 +39,7 @@
 usr/include/bsm/audit_private.h
 usr/include/bsm/devalloc.h
 usr/include/getxby_door.h
+usr/include/lastlog.h
 usr/include/passwdutil.h
 usr/include/priv_utils.h
 usr/include/rpcsvc/daemon_utils.h
@@ -49,10 +49,6 @@
 usr/include/sys/winlockio.h
 usr/include/scsi/plugins/ses/vendor/sun_impl.h
 #
-# Private lofi interface.
-#
-usr/include/sys/lofi_impl.h
-#
 # Private/Internal libraries of the Cryptographic Framework.
 #
 lib/libkcfd.so
@@ -989,14 +985,10 @@
 # debugging program for libadutils
 #
 usr/bin/test-getdc
+
 #
-# libficl-sys is private
+# LX Brand internals
 #
-usr/include/ficllocal.h
-usr/lib/amd64/llib-lficl-sys.ln		i386
-usr/lib/amd64/libficl-sys.so		i386
-usr/lib/sparcv9/llib-lficl-sys.ln	sparc
-usr/lib/sparcv9/libficl-sys.so		sparc
-usr/lib/llib-lficl-sys
-usr/lib/llib-lficl-sys.ln
-usr/lib/libficl-sys.so
+
+usr/include/sys/inotify.h
+usr/include/sys/zfd.h
--- old/usr/src/Makefile.lint	Wed Oct  5 00:33:05 2016
+++ new/usr/src/Makefile.lint	Wed Oct  5 00:33:05 2016
@@ -194,7 +194,6 @@
 	cmd/ls \
 	cmd/luxadm \
 	cmd/lvm \
-	cmd/machid \
 	cmd/mailwrapper \
 	cmd/makekey \
 	cmd/mdb \
@@ -460,6 +459,7 @@
 	lib/pam_modules \
 	lib/passwdutil \
 	lib/pkcs11 \
+	lib/print \
 	lib/raidcfg_plugins \
 	lib/scsi \
 	lib/smbsrv \
No differences encountered
--- old/usr/src/Targetdirs	Wed Oct  5 00:33:05 2016
+++ new/usr/src/Targetdirs	Wed Oct  5 00:33:05 2016
@@ -23,10 +23,10 @@
 # Copyright 2011, Richard Lowe
 # Copyright (c) 2012 by Delphix. All rights reserved.
 # Copyright (c) 2012, Igor Kozhukhov <ikozhukhov@gmail.com>
-# Copyright 2012 OmniTI Computer Consulting, Inc.  All rights reserved.
 # Copyright (c) 2013 RackTop Systems.
 # Copyright 2014 Garrett D'Amore <garrett@damore.org>
 # Copyright 2014 Nexenta Systems, Inc.  All rights reserved.
+# Copyright 2015 OmniTI Computer Consulting, Inc.  All rights reserved.
 #
 
 #
@@ -53,9 +53,8 @@
 	/boot/grub/bin		\
 	/platform/i86pc		\
 	/lib/libmvec		\
-	/usr/lib/brand/lx	\
+	/usr/lib/brand/lx \
 	/usr/lib/brand/lx/amd64 \
-	/usr/lib/brand/lx/distros \
 	/usr/lib/xen		\
 	/usr/lib/xen/bin
 
@@ -249,6 +248,7 @@
 	/usr/lib/abi \
 	/usr/lib/brand \
 	/usr/lib/brand/ipkg \
+	/usr/lib/brand/lipkg \
 	/usr/lib/brand/labeled \
 	/usr/lib/brand/shared \
 	/usr/lib/brand/sn1 \
@@ -283,16 +283,15 @@
 	/usr/lib/mdb/kvm \
 	/usr/lib/mdb/proc \
 	/usr/lib/nfs \
-	/usr/lib/varpd \
 	/usr/net \
 	/usr/net/servers \
 	/usr/lib/pool \
-	/usr/lib/python$(PYTHON_VERSION) \
-	/usr/lib/python$(PYTHON_VERSION)/vendor-packages \
-	/usr/lib/python$(PYTHON_VERSION)/vendor-packages/64 \
-	/usr/lib/python$(PYTHON_VERSION)/vendor-packages/solaris \
-	/usr/lib/python$(PYTHON_VERSION)/vendor-packages/zfs \
-	/usr/lib/python$(PYTHON_VERSION)/vendor-packages/beadm \
+	/usr/lib/python2.6 \
+	/usr/lib/python2.6/vendor-packages \
+	/usr/lib/python2.6/vendor-packages/64 \
+	/usr/lib/python2.6/vendor-packages/solaris \
+	/usr/lib/python2.6/vendor-packages/zfs \
+	/usr/lib/python2.6/vendor-packages/beadm \
 	/usr/lib/rcap \
 	/usr/lib/rcap/$(MACH32) \
 	/usr/lib/sa  \
@@ -470,7 +469,6 @@
 	/usr/lib/security/$(MACH64) \
 	/usr/lib/smbsrv/$(MACH64) \
 	/usr/lib/abi/$(MACH64) \
-	/usr/lib/varpd/$(MACH64) \
 	/usr/sbin/$(MACH64) \
 	/usr/ucb/$(MACH64) \
 	/usr/ucblib/$(MACH64) \
@@ -531,7 +529,6 @@
 	/usr/lib/lwp/64 \
 	/usr/lib/secure/64 \
 	/usr/lib/security/64 \
-	/usr/lib/varpd/64 \
 	/usr/xpg4/lib/64 \
 	/var/ld/64 \
 	/usr/ucblib/64
@@ -639,7 +636,6 @@
 $(BUILD64) $(ROOT)/usr/lib/link_audit/64:=	LINKDEST=$(MACH64)
 $(BUILD64) $(ROOT)/usr/lib/secure/64:=	LINKDEST=$(MACH64)
 $(BUILD64) $(ROOT)/usr/lib/security/64:=	LINKDEST=$(MACH64)
-$(BUILD64) $(ROOT)/usr/lib/varpd/64:=	LINKDEST=$(MACH64)
 $(BUILD64) $(ROOT)/usr/xpg4/lib/64:=	LINKDEST=$(MACH64)
 $(BUILD64) $(ROOT)/var/ld/64:=		LINKDEST=$(MACH64)
 $(BUILD64) $(ROOT)/usr/ucblib/64:=	LINKDEST=$(MACH64)
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/cmd/cmd-inet/usr.sbin/arp.c	Wed Oct  5 00:33:06 2016
+++ new/usr/src/cmd/cmd-inet/usr.sbin/arp.c	Wed Oct  5 00:33:06 2016
@@ -126,8 +126,8 @@
 		(void) execl(netstat_path, "netstat",
 		    (n_flag ? "-np" : "-p"),
 		    "-f", "inet", (char *)0);
-		(void) fprintf(stderr, "failed to exec netstat: %s\n",
-		    strerror(errno));
+		(void) fprintf(stderr, "failed to exec %s: %s\n",
+		    netstat_path, strerror(errno));
 		exit(1);
 
 	} else if (s_flag && (argsleft >= 2)) {
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/cmd/devfsadm/misc_link.c	Wed Oct  5 00:33:06 2016
+++ new/usr/src/cmd/devfsadm/misc_link.c	Wed Oct  5 00:33:06 2016
@@ -212,9 +212,6 @@
 	{ "pseudo", "ddi_pseudo", "tpm",
 	    TYPE_EXACT | DRV_EXACT, ILEVEL_0, minor_name
 	},
-	{ "pseudo", "ddi_pseudo", "overlay",
-	    TYPE_EXACT | DRV_EXACT, ILEVEL_0, minor_name
-	}
 };
 
 DEVFSADM_CREATE_INIT_V0(misc_cbt);
--- old/usr/src/cmd/dlmgmtd/dlmgmt_db.c	Wed Oct  5 00:33:06 2016
+++ new/usr/src/cmd/dlmgmtd/dlmgmt_db.c	Wed Oct  5 00:33:06 2016
@@ -555,10 +555,6 @@
 	    linkp->ll_zoneid, flags, &err)) == NULL)
 		return (err);
 
-	/* If transient op and onloan, use the global zone cache file. */
-	if (flags == DLMGMT_ACTIVE && linkp->ll_onloan)
-		req->ls_zoneid = GLOBAL_ZONEID;
-
 	/*
 	 * If the return error is EINPROGRESS, this request is handled
 	 * asynchronously; return success.
@@ -727,11 +723,11 @@
 	len = strlen(buf);
 	attr_name[0] = '\0';
 	for (i = 0; i < len; i++) {
-		rename = B_FALSE;
 		char		c = buf[i];
 		boolean_t	match = (c == '=' ||
 		    (c == ',' && !found_type) || c == ';');
 
+		rename = B_FALSE;
 		/*
 		 * Move to the next character if there is no match and
 		 * if we have not reached the last character.
@@ -1499,12 +1495,10 @@
 		boot = B_TRUE;
 	}
 
-	if (zone_file_exists(zoneroot, DLMGMT_PERSISTENT_DB_PATH)) {
-		req->ls_flags = DLMGMT_PERSIST;
-		err = dlmgmt_process_db_req(req);
-		if (err != 0 && err != ENOENT)
-			goto done;
-	}
+	req->ls_flags = DLMGMT_PERSIST;
+	err = dlmgmt_process_db_req(req);
+	if (err != 0 && err != ENOENT)
+		goto done;
 	err = 0;
 	if (rewrite_needed) {
 		/*
@@ -1562,7 +1556,6 @@
 				(void) dlmgmt_destroy_common(linkp,
 				    DLMGMT_ACTIVE | DLMGMT_PERSIST);
 			}
-
 		}
 		linkp = next_linkp;
 	}
--- old/usr/src/cmd/dlmgmtd/dlmgmt_door.c	Wed Oct  5 00:33:07 2016
+++ new/usr/src/cmd/dlmgmtd/dlmgmt_door.c	Wed Oct  5 00:33:07 2016
@@ -21,7 +21,6 @@
 
 /*
  * Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
- * Copyright (c) 2011, Joyent Inc. All rights reserved.
  */
 
 /*
@@ -65,6 +64,7 @@
 #include <unistd.h>
 #include "dlmgmt_impl.h"
 
+
 typedef void dlmgmt_door_handler_t(void *, void *, size_t *, zoneid_t,
     ucred_t *);
 
@@ -449,10 +449,6 @@
 	dlmgmt_link_t		*linkp;
 	int			err = 0;
 
-	/* Enable the global zone to lookup links it has given away. */
-	if (zoneid == GLOBAL_ZONEID && getlinkid->ld_zoneid != -1)
-		zoneid = getlinkid->ld_zoneid;
-
 	/*
 	 * Hold the reader lock to access the link
 	 */
@@ -1275,19 +1271,7 @@
 			    "zone %d: %s", linkid, oldzoneid, strerror(err));
 			goto done;
 		}
-
-		if (newzoneid == GLOBAL_ZONEID && linkp->ll_onloan) {
-			/*
-			 * We can only reassign a loaned VNIC back to the
-			 * global zone when the zone is shutting down, since
-			 * otherwise the VNIC is in use by the zone and will be
-			 * busy.  Leave the VNIC assigned to the zone so we can
-			 * still see it and delete it when dlmgmt_zonehalt()
-			 * runs.
-			 */
-			goto done;
-		}
-
+		avl_remove(&dlmgmt_loan_avl, linkp);
 		linkp->ll_onloan = B_FALSE;
 	}
 	if (newzoneid != GLOBAL_ZONEID) {
@@ -1298,6 +1282,7 @@
 			(void) zone_add_datalink(oldzoneid, linkid);
 			goto done;
 		}
+		avl_add(&dlmgmt_loan_avl, linkp);
 		linkp->ll_onloan = B_TRUE;
 	}
 
--- old/usr/src/cmd/dlmgmtd/dlmgmt_impl.h	Wed Oct  5 00:33:07 2016
+++ new/usr/src/cmd/dlmgmtd/dlmgmt_impl.h	Wed Oct  5 00:33:07 2016
@@ -21,7 +21,6 @@
 
 /*
  * Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
- * Copyright (c) 2011, Joyent Inc. All rights reserved.
  */
 
 /*
--- old/usr/src/cmd/dlmgmtd/dlmgmt_main.c	Wed Oct  5 00:33:07 2016
+++ new/usr/src/cmd/dlmgmtd/dlmgmt_main.c	Wed Oct  5 00:33:07 2016
@@ -126,7 +126,7 @@
 	dlmgmt_door_fd = -1;
 }
 
-static int
+int
 dlmgmt_door_attach(zoneid_t zoneid, char *rootdir)
 {
 	int	fd;
@@ -232,7 +232,7 @@
 static int
 dlmgmt_allzones_init(void)
 {
-	int		i;
+	int		err, i;
 	zoneid_t	*zids = NULL;
 	uint_t		nzids, nzids_saved;
 
@@ -253,37 +253,11 @@
 	}
 
 	for (i = 0; i < nzids; i++) {
-		int res;
-		zone_status_t status;
-
-		/*
-		 * Skip over zones that have gone away or are going down
-		 * since we got the list.  Process all zones in the list,
-		 * logging errors for any that failed.
-		 */
-		if (zone_getattr(zids[i], ZONE_ATTR_STATUS, &status,
-		    sizeof (status)) < 0)
-			continue;
-		switch (status) {
-			case ZONE_IS_SHUTTING_DOWN:
-			case ZONE_IS_EMPTY:
-			case ZONE_IS_DOWN:
-			case ZONE_IS_DYING:
-			case ZONE_IS_DEAD:
-				/* FALLTHRU */
-				continue;
-			default:
-				break;
-		}
-		if ((res = dlmgmt_zone_init(zids[i])) != 0) {
-			(void) fprintf(stderr, "zone (%ld) init error %s",
-			    zids[i], strerror(res));
-			dlmgmt_log(LOG_ERR, "zone (%d) init error %s",
-			    zids[i], strerror(res));
-		}
+		if ((err = dlmgmt_zone_init(zids[i])) != 0)
+			break;
 	}
 	free(zids);
-	return (0);
+	return (err);
 }
 
 static int
--- old/usr/src/cmd/dlmgmtd/dlmgmt_util.c	Wed Oct  5 00:33:07 2016
+++ new/usr/src/cmd/dlmgmtd/dlmgmt_util.c	Wed Oct  5 00:33:07 2016
@@ -21,7 +21,6 @@
 
 /*
  * Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
- * Copyright (c) 2011, Joyent Inc. All rights reserved.
  */
 
 /*
@@ -46,10 +45,13 @@
 /*
  * There are three datalink AVL tables.  The dlmgmt_name_avl tree contains all
  * datalinks and is keyed by zoneid and link name.  The dlmgmt_id_avl also
- * contains all datalinks, and it is keyed by link ID.
+ * contains all datalinks, and it is keyed by link ID.  The dlmgmt_loan_avl is
+ * keyed by link name, and contains the set of global-zone links that are
+ * currently on loan to non-global zones.
  */
 avl_tree_t	dlmgmt_name_avl;
 avl_tree_t	dlmgmt_id_avl;
+avl_tree_t	dlmgmt_loan_avl;
 
 avl_tree_t	dlmgmt_dlconf_avl;
 
@@ -160,6 +162,8 @@
 	    offsetof(dlmgmt_link_t, ll_name_node));
 	avl_create(&dlmgmt_id_avl, cmp_link_by_id, sizeof (dlmgmt_link_t),
 	    offsetof(dlmgmt_link_t, ll_id_node));
+	avl_create(&dlmgmt_loan_avl, cmp_link_by_name, sizeof (dlmgmt_link_t),
+	    offsetof(dlmgmt_link_t, ll_loan_node));
 	avl_create(&dlmgmt_dlconf_avl, cmp_dlconf_by_id,
 	    sizeof (dlmgmt_dlconf_t), offsetof(dlmgmt_dlconf_t, ld_node));
 	dlmgmt_nextlinkid = 1;
@@ -177,6 +181,7 @@
 
 	avl_destroy(&dlmgmt_dlconf_avl);
 	avl_destroy(&dlmgmt_name_avl);
+	avl_destroy(&dlmgmt_loan_avl);
 	avl_destroy(&dlmgmt_id_avl);
 }
 
@@ -380,6 +385,7 @@
 
 			linkp->ll_zoneid = zoneid;
 			avl_add(&dlmgmt_name_avl, linkp);
+			avl_add(&dlmgmt_loan_avl, linkp);
 			linkp->ll_onloan = B_TRUE;
 		}
 	} else if (linkp->ll_zoneid != GLOBAL_ZONEID) {
@@ -424,6 +430,10 @@
 	(void) strlcpy(link.ll_link, name, MAXLINKNAMELEN);
 	link.ll_zoneid = zoneid;
 	linkp = avl_find(&dlmgmt_name_avl, &link, NULL);
+	if (linkp == NULL && zoneid == GLOBAL_ZONEID) {
+		/* The link could be on loan to a non-global zone? */
+		linkp = avl_find(&dlmgmt_loan_avl, &link, NULL);
+	}
 	return (linkp);
 }
 
@@ -502,6 +512,8 @@
 
 	if ((flags & DLMGMT_ACTIVE) && linkp->ll_zoneid != GLOBAL_ZONEID) {
 		(void) zone_remove_datalink(linkp->ll_zoneid, linkp->ll_linkid);
+		if (linkp->ll_onloan)
+			avl_remove(&dlmgmt_loan_avl, linkp);
 	}
 
 	if (linkp->ll_flags == 0) {
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/cmd/prstat/prstat.c	Wed Oct  5 00:33:08 2016
+++ new/usr/src/cmd/prstat/prstat.c	Wed Oct  5 00:33:08 2016
@@ -26,7 +26,6 @@
  * Use is subject to license terms.
  *
  * Portions Copyright 2009 Chad Mynhier
- * Copyright 2012 Joyent, Inc.  All rights reserved.
  */
 
 #include <sys/types.h>
@@ -264,13 +263,8 @@
 	size_t i;
 	uint_t flags = 0;
 	int ret;
-	size_t physmem;
+	size_t physmem = sysconf(_SC_PHYS_PAGES) * pagesize;
 
-	if (!(opts.o_outpmode & OPT_VMUSAGE))
-		return;
-
-	physmem = sysconf(_SC_PHYS_PAGES) * pagesize;
-
 	/*
 	 * Determine what swap/rss results to calculate.  getvmusage() will
 	 * prune results returned to non-global zones automatically, so
@@ -1420,7 +1414,7 @@
 	pagesize = sysconf(_SC_PAGESIZE);
 
 	while ((opt = getopt(argc, argv,
-	    "vVcd:HmarRLtu:U:n:p:C:P:h:s:S:j:k:TJWz:Z")) != (int)EOF) {
+	    "vcd:HmarRLtu:U:n:p:C:P:h:s:S:j:k:TJWz:Z")) != (int)EOF) {
 		switch (opt) {
 		case 'r':
 			opts.o_outpmode |= OPT_NORESOLVE;
@@ -1500,9 +1494,6 @@
 			while (p = strtok(NULL, ", "))
 				add_uid(&ruid_tbl, p);
 			break;
-		case 'V':
-			opts.o_outpmode |= OPT_VMUSAGE;
-			break;
 		case 'p':
 			fill_table(&pid_tbl, optarg, 'p');
 			break;
No differences encountered
--- old/usr/src/cmd/ptools/Makefile.bld	Wed Oct  5 00:33:08 2016
+++ new/usr/src/cmd/ptools/Makefile.bld	Wed Oct  5 00:33:08 2016
@@ -22,13 +22,10 @@
 #
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
-# Copyright 2015 Joyent, Inc.
 #
 
 PROG:sh = basename `cd ..; pwd`
 
-include ../../../Makefile.ctf
-
 OBJS = $(PROG).o
 
 SRCS = ../$(PROG).c
@@ -114,12 +111,16 @@
 CPPFLAGS_pwdx =		$(CINC)
 OBJS_pwdx =		$(COBJS)
 
-LN_pargs =		penv pauxv
-
 CPPFLAGS +=	$(CPPFLAGS_$(PROG))
 OBJS +=		$(OBJS_$(PROG))
 SRCS +=		$(SRCS_$(PROG))
 
+# For lint, always include ptools_common.c, but suppress the "defined but
+# not used" error, in case a given ptool doesn't need it.
+SRCS +=		../../common/ptools_common.c
+LINTFLAGS +=	-xerroff=E_NAME_DEF_NOT_USED2
+LINTFLAGS64 +=	-xerroff=E_NAME_DEF_NOT_USED2
+
 INSTALL_NEW=
 INSTALL_LEGACY=$(RM) $(ROOTPROCBINSYMLINK) ; \
 	$(LN) -s ../../bin/$(PROG) $(ROOTPROCBINSYMLINK)
@@ -128,23 +129,19 @@
 
 elfcap.o:	$(ELFCAP)/elfcap.c
 		$(COMPILE.c) -o $@ $(ELFCAP)/elfcap.c
-		$(POST_PROCESS_O)
 
 pmap_common.o:	$(PMAP)/pmap_common.c
 		$(COMPILE.c) -o $@ $(PMAP)/pmap_common.c
-		$(POST_PROCESS_O)
 
 %.o:	../%.c
 	$(COMPILE.c) $<
-	$(POST_PROCESS_O)
 
 %.o:	../../common/%.c
 	$(COMPILE.c) $<
 	$(POST_PROCESS_O)
 
-all:	$(PROG) $(LN_$(PROG))
+all:	$(PROG)
 
-ROOTBINLN=$(LN_$(PROG):%=$(ROOTBIN)/%)
 ROOTBINPROG=$(ROOTBIN)/$(PROG)
 ROOTPROCBINSYMLINK=$(ROOT)/usr/proc/bin/$(PROG)
 
@@ -156,23 +153,11 @@
 # Install the ptool, symlinking it into /usr/proc/bin if PTOOL_TYPE is set
 # to LEGACY.
 #
-install: all $(ROOTISAPROG) $(ROOTISALN)
+install: all $(ROOTISAPROG)
 	-$(RM) $(ROOTBINPROG)
 	-$(LN) $(ISAEXEC) $(ROOTBINPROG)
 	-$(INSTALL_$(PTOOL_TYPE))
 
-$(ROOTBINLN):
-	-$(RM) $@
-	-$(LN) $(ISAEXEC) $@
-
-$(ROOTISALN): $(ROOTISAPROG)
-	-$(RM) $@
-	-$(LN) $(ROOTISAPROG) $@
-
-$(LN_$(PROG)): $(PROG)
-	-$(RM) $@
-	-$(LN) $(PROG) $@
-
 clean:
 	$(RM) $(OBJS)
 
No differences encountered
No differences encountered
--- old/usr/src/cmd/ptools/pargs/pargs.c	Wed Oct  5 00:33:08 2016
+++ new/usr/src/cmd/ptools/pargs/pargs.c	Wed Oct  5 00:33:08 2016
@@ -73,14 +73,7 @@
 #include <wctype.h>
 #include <widec.h>
 #include <elfcap.h>
-#include <libgen.h>
 
-typedef enum pargs_cmd {
-	PARGS_ARGV,
-	PARGS_ENV,
-	PARGS_AUXV
-} pargs_cmd_t;
-
 typedef struct pargs_data {
 	struct ps_prochandle *pd_proc;	/* target proc handle */
 	psinfo_t *pd_psinfo;		/* target psinfo */
@@ -1290,24 +1283,19 @@
 	int opt;
 	int error = 1;
 	core_content_t content = 0;
-	pargs_cmd_t cmd = PARGS_ARGV;
 
 	(void) setlocale(LC_ALL, "");
 
-	command = basename(argv[0]);
+	if ((command = strrchr(argv[0], '/')) != NULL)
+		command++;
+	else
+		command = argv[0];
 
-	if (strcmp(command, "penv") == 0)
-		cmd = PARGS_ENV;
-	else if (strcmp(command, "pauxv") == 0)
-		cmd = PARGS_AUXV;
-
 	while ((opt = getopt(argc, argv, "acelxF")) != EOF) {
 		switch (opt) {
 		case 'a':		/* show process arguments */
 			content |= CC_CONTENT_STACK;
 			aflag++;
-			if (cmd != PARGS_ARGV)
-				errflg++;
 			break;
 		case 'c':		/* force 7-bit ascii */
 			cflag++;
@@ -1315,19 +1303,13 @@
 		case 'e':		/* show environment variables */
 			content |= CC_CONTENT_STACK;
 			eflag++;
-			if (cmd != PARGS_ARGV)
-				errflg++;
 			break;
 		case 'l':
 			lflag++;
 			aflag++;	/* -l implies -a */
-			if (cmd != PARGS_ARGV)
-				errflg++;
 			break;
 		case 'x':		/* show aux vector entries */
 			xflag++;
-			if (cmd != PARGS_ARGV)
-				errflg++;
 			break;
 		case 'F':
 			/*
@@ -1344,19 +1326,8 @@
 
 	/* -a is the default if no options are specified */
 	if ((aflag + eflag + xflag + lflag) == 0) {
-		switch (cmd) {
-		case PARGS_ARGV:
-			aflag++;
-			content |= CC_CONTENT_STACK;
-			break;
-		case PARGS_ENV:
-			content |= CC_CONTENT_STACK;
-			eflag++;
-			break;
-		case PARGS_AUXV:
-			xflag++;
-			break;
-		}
+		aflag++;
+		content |= CC_CONTENT_STACK;
 	}
 
 	/* -l cannot be used with the -x or -e flags */
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/cmd/rcap/rcapadm/Makefile	Wed Oct  5 00:33:09 2016
+++ new/usr/src/cmd/rcap/rcapadm/Makefile	Wed Oct  5 00:33:09 2016
@@ -40,7 +40,7 @@
 
 $(NOT_RELEASE_BUILD)CPPFLAGS 	+= -DDEBUG
 CPPFLAGS 			+= -I$(COMMON_DIR)
-LDLIBS 				+= -lumem -lscf -lzonecfg
+LDLIBS 				+= -lscf -lzonecfg
 
 LINTFLAGS 			+= $(LDLIBS) -mnu
 
No differences encountered
--- old/usr/src/cmd/rcap/rcapd/Makefile.rcapd	Wed Oct  5 00:33:09 2016
+++ new/usr/src/cmd/rcap/rcapd/Makefile.rcapd	Wed Oct  5 00:33:09 2016
@@ -55,7 +55,7 @@
 $(NOT_RELEASE_BUILD)CPPFLAGS 	+= -DDEBUG
 CPPFLAGS			+= -DDEBUG_MSG
 CPPFLAGS 			+= -I$(COMMON_DIR)
-LDLIBS 				+= -lkstat -lproc -lproject -lzonecfg -lumem -lscf
+LDLIBS 				+= -lkstat -lproc -lproject -lumem -lscf
 LDLIBS				+= $(EXTRA_LDLIBS)
 
 LINTFLAGS			+= -u
No differences encountered
No differences encountered
--- old/usr/src/cmd/rcap/rcapstat/Makefile	Wed Oct  5 00:33:09 2016
+++ new/usr/src/cmd/rcap/rcapstat/Makefile	Wed Oct  5 00:33:09 2016
@@ -43,7 +43,7 @@
 
 $(NOT_RELEASE_BUILD)CPPFLAGS 	+= -DDEBUG
 CPPFLAGS 			+= -I$(COMMON_DIR) -I$(STATCOMMONDIR)
-LDLIBS 				+= -lumem -lzonecfg -lscf
+LDLIBS 				+= -lumem -lscf
 LDFLAGS				+= $(MAPFILE.NGB:%=-M%)
 
 LINTFLAGS			+= $(LDLIBS) -mnu
No differences encountered
No differences encountered
No differences encountered
No differences encountered
No differences encountered
--- old/usr/src/cmd/truss/print.c	Wed Oct  5 00:33:10 2016
+++ new/usr/src/cmd/truss/print.c	Wed Oct  5 00:33:10 2016
@@ -2003,7 +2003,6 @@
 	case UDP_EXCLBIND:		return ("UDP_EXCLBIND");
 	case UDP_RCVHDR:		return ("UDP_RCVHDR");
 	case UDP_NAT_T_ENDPOINT:	return ("UDP_NAT_T_ENDPOINT");
-	case UDP_SRCPORT_HASH:		return ("UDP_SRCPORT_HASH");
 	case UDP_SND_TO_CONNECTED:	return ("UDP_SND_TO_CONNECTED");
 
 	default:			(void) snprintf(pri->code_buf,
No differences encountered
--- old/usr/src/cmd/zlogin/zlogin.c	Wed Oct  5 00:33:10 2016
+++ new/usr/src/cmd/zlogin/zlogin.c	Wed Oct  5 00:33:10 2016
@@ -22,8 +22,8 @@
  * Copyright (c) 2003, 2010, Oracle and/or its affiliates. All rights reserved.
  * Copyright 2013 DEY Storage Systems, Inc.
  * Copyright (c) 2014 Gary Mills
- * Copyright 2016 Joyent, Inc.
  * Copyright 2015 Nexenta Systems, Inc. All rights reserved.
+ * Copyright 2016 Joyent, Inc.
  */
 
 /*
@@ -285,7 +285,7 @@
 	    sizeof (servaddr)) == -1) {
 		if (verbose)
 			zperror(gettext("Could not connect to zone"));
-		close(sockfd);
+		(void) close(sockfd);
 		return (-1);
 	}
 	return (sockfd);
@@ -561,8 +561,8 @@
 	if (ioctl(0, TIOCGWINSZ, &ws) == 0) {
 		if (ctlfd != -1) {
 			char buf[BUFSIZ];
-			snprintf(buf, sizeof (buf), "TIOCSWINSZ %hu %hu\n",
-			    ws.ws_row, ws.ws_col);
+			(void) snprintf(buf, sizeof (buf),
+			    "TIOCSWINSZ %hu %hu\n", ws.ws_row, ws.ws_col);
 			(void) send_ctl_sock(buf, strlen(buf));
 		} else {
 			(void) ioctl(masterfd, TIOCSWINSZ, &ws);
@@ -580,7 +580,7 @@
 	connect_flags ^= ZLOGIN_ZFD_EOF;
 	if (ctlfd != -1) {
 		char buf[BUFSIZ];
-		snprintf(buf, sizeof (buf), "SETFLAGS %u\n",
+		(void) snprintf(buf, sizeof (buf), "SETFLAGS %u\n",
 		    connect_flags);
 		(void) send_ctl_sock(buf, strlen(buf));
 	}
@@ -2217,7 +2217,7 @@
 			    (imode ? "server_ctl" : "console_sock"), B_FALSE);
 			if (masterfd != -1)
 				break;
-			sleep(1);
+			(void) sleep(1);
 		}
 
 		if (retry == MAX_RETRY) {
No differences encountered
